API / Branding
PUT
/identities/{id}/brand
Set the branding for a sending identity
Authentification : clé API Bearer requise.
Paramètres
| Nom | Dans | Type | Description |
|---|---|---|---|
| id* | path | string | Identity ID |
Corps JSON
Branding fields
| Nom | Type | Description |
|---|---|---|
| appName | string | — |
| fontFamily | string | — |
| footerText | string | — |
| locale | string | — |
| logoUrl | string | — |
| primaryColor | string | — |
| supportEmail | string | — |
| websiteUrl | string | — |
Exemple curl
curl -X PUT https://api.sporee.fr/identities/<id>/brand \
-H "Authorization: Bearer $SPORE_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'Réponses
| Statut | Description | Type |
|---|---|---|
| 200 | OK | set_brand.Response |
| 400 | Bad Request | echo.HTTPError |
| 401 | Unauthorized | echo.HTTPError |
Source machine : openapi.json · opération setBrand